Loading...
Searching...
No Matches
Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension > Class Template Reference
Inheritance diagram for Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >:

## Public Types

typedef StaticRefinement::template Codim< codimension >::SubEntityIterator | BackendIterator
typedef VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::template SubEntityIteratorBack< codimension > | This
typedef VirtualRefinement::template SubEntityIteratorBack< codimension > | Base
typedef VirtualRefinement::CoordVector | CoordVector

## Public Member Functions

| SubEntityIteratorBack (const BackendIterator &backend)
| SubEntityIteratorBack (const This &other)
Base * | clone () const
bool | operator== (const Base &other) const
Base & | operator++ ()
int | index () const
CoordVector | coords () const

## Friends

class | VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, codimension >

## Member Typedef Documentation

## BackendIterator

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

typedef StaticRefinement::template Codim<codimension>::SubEntityIterator Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::BackendIterator

## Base

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

typedef VirtualRefinement::template SubEntityIteratorBack<codimension> Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::Base

## CoordVector

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

typedef VirtualRefinement::CoordVector Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::CoordVector

## This

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

typedef VirtualRefinementImp<topologyId,CoordType,coerceToId,dimension>::template SubEntityIteratorBack<codimension> Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::This

## Constructor & Destructor Documentation

## SubEntityIteratorBack() [1/2]

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::SubEntityIteratorBack | ( | const BackendIterator & | backend | ) |

## SubEntityIteratorBack() [2/2]

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::SubEntityIteratorBack | ( | const This & | other | ) |

## Member Function Documentation

## clone()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::template SubEntityIteratorBack< codimension >::Base * Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::clone | ( |  | ) | const

## coords()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::template SubEntityIteratorBack< codimension >::CoordVector Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::coords | ( |  | ) | const

## index()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

int Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::index | ( |  | ) | const

## operator++()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::template SubEntityIteratorBack< codimension >::Base & Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::operator++ | ( |  | ) |

## operator==()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

bool Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >::operator== | ( | const Base & | other | ) | const

## Friends And Related Symbol Documentation

## VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, codimension >

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>
template<int codimension>

friend class VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, codimension >

friend

The documentation for this class was generated from the following file:

- virtualrefinement.cc